<!DOCTYPE html>
<html>
    <head>
        <title>Aide à la précarité</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" type="text/css" href="css/style.css">
        <meta charset="UTF-8">
    </head>
    <body>	
        <header>
            <nav>
                <a id="but_menu"><img id="barre_menu" src="img/menu_icon.png" alt=""></a>
                <a href="index.html"><h1><b>Aide à la précarité</b></h1></a>
                
                <div id="menu_pc">
                
                    <a class="but_aide">Les aides</a>
                    <a href="selfie.html">Un selfie ?</a>
                    <a href="">L'équipe</a>
                    <ul>
                        <li class="sous_menu">
                            <a href="bourse.html">Bourse</a>
                            <a href="logement.html">Logement</a>
                            <!--<a href="transport.html">Transport</a>-->
                            <a href="sante.html">Santé</a>
                        </li>
                    </ul>
                </div>
                
                <div id="menu">
                    <a class="but_aide">Les aides</a>
                    <div class="sous_menu">
                        <a href="bourse.html">Bourse</a>
                        <a href="logement.html">Logement</a>
                        <!--<a href="transport.html">Transport</a>-->
                        <a href="sante.html">Santé</a>
                    </div>
                    <a href="selfie.html">un selfie ?</a>
                    <a href="team.html">L'équipe</a>
                </div>
            </nav>
        </header>	
        <main>
            <section id="logement">
                <h1>Aide au logement</h1>
                    <img id="img_logement" src="img/img_logement.jpg" alt="Logement étudiant">
                    <p id="res_logement">Aujourd'hui, pour les étudiants, trouver un logement devient de plus en plus difficile, bien qu'il existe de nombreuses aides au logement existent.
                        <br>Ces solutions ne sont pas toutes connues, c'est pourquoi nous avons créé un formulaire qui trouvera la solution la plus adaptée à la situation de l'étudiant(e) qui l'utilisera.
                    </p> 
                    <div id="form">
                        <form>
                            <h1>Formulaire à remplir</h1>
                            <h4>Veuillez remplir les informations ci-dessous :</h4>
                            <form id="form">
                                <select id="select" >
                                    <option value="Ville" onclick="first_sel(value)">Ville</option>
                                    <option value="CP" onclick="first_sel(value)">Code Postal</option>
                                </select>
                                <p id="text_Ville">
                                    <input type="text" name="Ville" id="Ville" style="display: none;">
                                    <input type="text" name="CP" id="CP" style="display: none;">
                                    <input id="but" type="button" name="sned" value="send" style="display: none;" onclick="startSearch()">
                                </p>
                            </form>
                            <div id="error" style="display: none;"></div>
                        </form>
                    </div>
                    <div id="data" style="display: none;">
                        
                    </div>
            </section>
        </main>
		<script src="js/jquery.js"></script>
		<script src="js/script.js"></script>
    </body>
    <script type="text/javascript">
        var choice;

        function first_sel(value){
            choice = value;
            document.getElementById('select').style.display = 'none'
            document.getElementById(value).style.display = 'inline'
            document.getElementById('but').style.display = 'inline'
            document.getElementById('text_Ville').innerHTML = "Entrez " + value + " : " + document.getElementById('text_Ville').innerHTML;
        }

        function startSearch() {
            document.getElementById('form').style.display = 'none'
            console.log("start");
            if(choice == "Ville" && document.getElementById('Ville').value == ""){
                console.log("Erreur ville")
                document.getElementById('error').style.display = 'inline';
                document.getElementById('error').innerHTML = 'Remplissez tout le formulaire'
            } else if(choice=="CP" && document.getElementById('CP').value == ""){
                console.log("Erreur code postal")
                document.getElementById('error').style.display = 'inline';
                document.getElementById('error').innerHTML = 'Remplissez tout le formulaire'
            } else if(choice == "Ville"){
                console.log("test")
                document.getElementById('error').style.display = 'none';
                var rep = document.getElementById('Ville').value.replace(' ', '%20');
                rep = rep.replace("'", "%27");
                var requestURL = "https://data.opendatasoft.com/api/records/1.0/search/?dataset=fr_crous_logement_france_entiere%40mesr&q="+rep;
            } else if(choice == "CP"){
                var rep = document.getElementById('CP').value
                document.getElementById('error').style.display = 'none';
                var requestURL = "https://data.opendatasoft.com/api/records/1.0/search/?dataset=fr_crous_logement_france_entiere%40mesr&q="+rep;
            }
            console.log(requestURL);
            var request = new XMLHttpRequest();
            request.open('GET', requestURL);
            request.send();
            request.onload = function() {
            var logement = JSON.parse(request.response);
            console.log(logement.records);
            var html_page = "<table><tr><th>Photo</th><th> Nom de la residence </th> <th> Adresse </th> <th> Info générale </th> <th> Info pour le contact </th><tr>";
            for(var i = 0; i < logement.records.length; i++){
                var info_traitement = logement.records[i].fields.infos;
                info_traitement = info_traitement.replace("A", " <br>A").replace("Moyens d'accès", "<br>Moyens d'accès").replace("Charges", "<br>Charges");
                html_page = html_page+"<tr><td><img src='"+logement.records[i].fields.photo+"' alt='Photo residence'></td><td>"+logement.records[i].fields.title+"</td><td>" + logement.records[i].fields.short_desc + "</td><td>" + info_traitement + "</td><td>Mail : "+logement.records[i].fields.mail+"<br> Téléphone : "+logement.records[i].fields.phone+"<br>Site internet : <a href='" + logement.records[i].fields.troubleshootingurl + "'> "+logement.records[i].fields.troubleshootingurl+"</td></tr>";
            }
            html_page = html_page + "</table>";
            document.getElementById('data').style.display = 'inline'
            document.getElementById("data").innerHTML = html_page;
            //console.log(html_page);
               

            }
        }

    </script>
</html>